package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.NwaUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-16
 */
public interface NwaUserService extends IService<NwaUser> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<NwaUser> selectPage(FrontPage<NwaUser> frontPage, NwaUser nwaUser);

    List<NwaUser> selectList(NwaUser nwaUser);

    NwaUser findUserByUserName(String id);

    List<NwaUser> findAllUser(String site);


    /**
     * 检验用户组，并根据用户组查找到用户组下的所有的用户
     * @param userGroups
     * @return
     */
    List<NwaUser> checkUserGroup(String site,String userGroups);
}